Page MenuHomePhabricator

Convert BoilerPlate to use extension registration
Closed, ResolvedPublic

Description

The BoilerPlate extension needs to be converted to use the new extension registration system, as an example for new developers. More details are available on T87875.

Event Timeline

Fhocutt updated the task description. (Show Details)
Fhocutt raised the priority of this task from to Low.
Fhocutt claimed this task.
Fhocutt set Security to None.

Change 221817 had a related patch set uploaded (by Fhocutt):
Convert BoilerPlate to use extension registration

https://gerrit.wikimedia.org/r/221817

Krenair renamed this task from Convert the BoilerPlate extension to use the new extension registration system. to [BoilerPlate] Convert the BoilerPlate extension to use the new extension registration system..
Krenair added a subscriber: Krenair.

Change 221817 abandoned by Fhocutt:
Convert BoilerPlate to use extension registration

https://gerrit.wikimedia.org/r/221817

Change 218428 had a related patch set uploaded (by Paladox):
BoilerPlate: Add extension.json, empty PHP entry point

https://gerrit.wikimedia.org/r/218428

Fhocutt removed Fhocutt as the assignee of this task.Aug 6 2015, 8:17 PM

Change 237066 had a related patch set uploaded (by Spage):
Add extension.json, reduce PHP entry point.

https://gerrit.wikimedia.org/r/237066

kaldari removed a subscriber: kaldari.Sep 10 2015, 1:42 AM

Change 237066 merged by jenkins-bot:
Add extension.json, reduce PHP entry point.

https://gerrit.wikimedia.org/r/237066

Legoktm closed this task as Resolved.Sep 14 2015, 12:02 AM
Legoktm assigned this task to Spage.

Change 218428 abandoned by Legoktm:
BoilerPlate: Add extension.json, empty PHP entry point

https://gerrit.wikimedia.org/r/218428

MarcoAurelio renamed this task from [BoilerPlate] Convert the BoilerPlate extension to use the new extension registration system. to Convert BoilerPlate to use extension registration.Sep 3 2017, 9:19 AM